//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.04.15 at 02:17:08 PM CEST 
//


package org.oasis.xliff;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for datatypeValueList.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="datatypeValueList">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *     &lt;enumeration value="asp"/>
 *     &lt;enumeration value="c"/>
 *     &lt;enumeration value="cdf"/>
 *     &lt;enumeration value="cfm"/>
 *     &lt;enumeration value="cpp"/>
 *     &lt;enumeration value="csharp"/>
 *     &lt;enumeration value="cstring"/>
 *     &lt;enumeration value="csv"/>
 *     &lt;enumeration value="database"/>
 *     &lt;enumeration value="documentfooter"/>
 *     &lt;enumeration value="documentheader"/>
 *     &lt;enumeration value="filedialog"/>
 *     &lt;enumeration value="form"/>
 *     &lt;enumeration value="html"/>
 *     &lt;enumeration value="htmlbody"/>
 *     &lt;enumeration value="ini"/>
 *     &lt;enumeration value="interleaf"/>
 *     &lt;enumeration value="javaclass"/>
 *     &lt;enumeration value="javapropertyresourcebundle"/>
 *     &lt;enumeration value="javalistresourcebundle"/>
 *     &lt;enumeration value="javascript"/>
 *     &lt;enumeration value="jscript"/>
 *     &lt;enumeration value="layout"/>
 *     &lt;enumeration value="lisp"/>
 *     &lt;enumeration value="margin"/>
 *     &lt;enumeration value="menufile"/>
 *     &lt;enumeration value="messagefile"/>
 *     &lt;enumeration value="mif"/>
 *     &lt;enumeration value="mimetype"/>
 *     &lt;enumeration value="mo"/>
 *     &lt;enumeration value="msglib"/>
 *     &lt;enumeration value="pagefooter"/>
 *     &lt;enumeration value="pageheader"/>
 *     &lt;enumeration value="parameters"/>
 *     &lt;enumeration value="pascal"/>
 *     &lt;enumeration value="php"/>
 *     &lt;enumeration value="plaintext"/>
 *     &lt;enumeration value="po"/>
 *     &lt;enumeration value="report"/>
 *     &lt;enumeration value="resources"/>
 *     &lt;enumeration value="resx"/>
 *     &lt;enumeration value="rtf"/>
 *     &lt;enumeration value="sgml"/>
 *     &lt;enumeration value="sgmldtd"/>
 *     &lt;enumeration value="svg"/>
 *     &lt;enumeration value="vbscript"/>
 *     &lt;enumeration value="warning"/>
 *     &lt;enumeration value="winres"/>
 *     &lt;enumeration value="xhtml"/>
 *     &lt;enumeration value="xml"/>
 *     &lt;enumeration value="xmldtd"/>
 *     &lt;enumeration value="xsl"/>
 *     &lt;enumeration value="xul"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "datatypeValueList")
@XmlEnum
public enum DatatypeValueList {


    /**
     * Indicates Active Server Page data.
     * 
     */
    @XmlEnumValue("asp")
    ASP("asp"),

    /**
     * Indicates C source file data.
     * 
     */
    @XmlEnumValue("c")
    C("c"),

    /**
     * Indicates Channel Definition Format (CDF) data.
     * 
     */
    @XmlEnumValue("cdf")
    CDF("cdf"),

    /**
     * Indicates ColdFusion data.
     * 
     */
    @XmlEnumValue("cfm")
    CFM("cfm"),

    /**
     * Indicates C++ source file data.
     * 
     */
    @XmlEnumValue("cpp")
    CPP("cpp"),

    /**
     * Indicates C-Sharp data.
     * 
     */
    @XmlEnumValue("csharp")
    CSHARP("csharp"),

    /**
     * Indicates strings from C, ASM, and driver files data.
     * 
     */
    @XmlEnumValue("cstring")
    CSTRING("cstring"),

    /**
     * Indicates comma-separated values data.
     * 
     */
    @XmlEnumValue("csv")
    CSV("csv"),

    /**
     * Indicates database data.
     * 
     */
    @XmlEnumValue("database")
    DATABASE("database"),

    /**
     * Indicates portions of document that follows data and contains metadata.
     * 
     */
    @XmlEnumValue("documentfooter")
    DOCUMENTFOOTER("documentfooter"),

    /**
     * Indicates portions of document that precedes data and contains metadata.
     * 
     */
    @XmlEnumValue("documentheader")
    DOCUMENTHEADER("documentheader"),

    /**
     * Indicates data from standard UI file operations dialogs (e.g., Open, Save, Save As, Export, Import).
     * 
     */
    @XmlEnumValue("filedialog")
    FILEDIALOG("filedialog"),

    /**
     * Indicates standard user input screen data.
     * 
     */
    @XmlEnumValue("form")
    FORM("form"),

    /**
     * Indicates HyperText Markup Language (HTML) data - document instance.
     * 
     */
    @XmlEnumValue("html")
    HTML("html"),

    /**
     * Indicates content within an HTML document’s <body> element.
     * 
     */
    @XmlEnumValue("htmlbody")
    HTMLBODY("htmlbody"),

    /**
     * Indicates Windows INI file data.
     * 
     */
    @XmlEnumValue("ini")
    INI("ini"),

    /**
     * Indicates Interleaf data.
     * 
     */
    @XmlEnumValue("interleaf")
    INTERLEAF("interleaf"),

    /**
     * Indicates Java source file data (extension '.java').
     * 
     */
    @XmlEnumValue("javaclass")
    JAVACLASS("javaclass"),

    /**
     * Indicates Java property resource bundle data.
     * 
     */
    @XmlEnumValue("javapropertyresourcebundle")
    JAVAPROPERTYRESOURCEBUNDLE("javapropertyresourcebundle"),

    /**
     * Indicates Java list resource bundle data.
     * 
     */
    @XmlEnumValue("javalistresourcebundle")
    JAVALISTRESOURCEBUNDLE("javalistresourcebundle"),

    /**
     * Indicates JavaScript source file data.
     * 
     */
    @XmlEnumValue("javascript")
    JAVASCRIPT("javascript"),

    /**
     * Indicates JScript source file data.
     * 
     */
    @XmlEnumValue("jscript")
    JSCRIPT("jscript"),

    /**
     * Indicates information relating to formatting.
     * 
     */
    @XmlEnumValue("layout")
    LAYOUT("layout"),

    /**
     * Indicates LISP source file data.
     * 
     */
    @XmlEnumValue("lisp")
    LISP("lisp"),

    /**
     * Indicates information relating to margin formats.
     * 
     */
    @XmlEnumValue("margin")
    MARGIN("margin"),

    /**
     * Indicates a file containing menu.
     * 
     */
    @XmlEnumValue("menufile")
    MENUFILE("menufile"),

    /**
     * Indicates numerically identified string table.
     * 
     */
    @XmlEnumValue("messagefile")
    MESSAGEFILE("messagefile"),

    /**
     * Indicates Maker Interchange Format (MIF) data.
     * 
     */
    @XmlEnumValue("mif")
    MIF("mif"),

    /**
     * Indicates that the datatype attribute value is a MIME Type value and is defined in the mime-type attribute.
     * 
     */
    @XmlEnumValue("mimetype")
    MIMETYPE("mimetype"),

    /**
     * Indicates GNU Machine Object data.
     * 
     */
    @XmlEnumValue("mo")
    MO("mo"),

    /**
     * Indicates Message Librarian strings created by Novell's Message Librarian Tool.
     * 
     */
    @XmlEnumValue("msglib")
    MSGLIB("msglib"),

    /**
     * Indicates information to be displayed at the bottom of each page of a document.
     * 
     */
    @XmlEnumValue("pagefooter")
    PAGEFOOTER("pagefooter"),

    /**
     * Indicates information to be displayed at the top of each page of a document.
     * 
     */
    @XmlEnumValue("pageheader")
    PAGEHEADER("pageheader"),

    /**
     * Indicates a list of property values (e.g., settings within INI files or preferences dialog).
     * 
     */
    @XmlEnumValue("parameters")
    PARAMETERS("parameters"),

    /**
     * Indicates Pascal source file data.
     * 
     */
    @XmlEnumValue("pascal")
    PASCAL("pascal"),

    /**
     * Indicates Hypertext Preprocessor data.
     * 
     */
    @XmlEnumValue("php")
    PHP("php"),

    /**
     * Indicates plain text file (no formatting other than, possibly, wrapping).
     * 
     */
    @XmlEnumValue("plaintext")
    PLAINTEXT("plaintext"),

    /**
     * Indicates GNU Portable Object file.
     * 
     */
    @XmlEnumValue("po")
    PO("po"),

    /**
     * Indicates dynamically generated user defined document. e.g. Oracle Report, Crystal Report, etc.
     * 
     */
    @XmlEnumValue("report")
    REPORT("report"),

    /**
     * Indicates Windows .NET binary resources.
     * 
     */
    @XmlEnumValue("resources")
    RESOURCES("resources"),

    /**
     * Indicates Windows .NET Resources.
     * 
     */
    @XmlEnumValue("resx")
    RESX("resx"),

    /**
     * Indicates Rich Text Format (RTF) data.
     * 
     */
    @XmlEnumValue("rtf")
    RTF("rtf"),

    /**
     * Indicates Standard Generalized Markup Language (SGML) data - document instance.
     * 
     */
    @XmlEnumValue("sgml")
    SGML("sgml"),

    /**
     * Indicates Standard Generalized Markup Language (SGML) data - Document Type Definition (DTD).
     * 
     */
    @XmlEnumValue("sgmldtd")
    SGMLDTD("sgmldtd"),

    /**
     * Indicates Scalable Vector Graphic (SVG) data.
     * 
     */
    @XmlEnumValue("svg")
    SVG("svg"),

    /**
     * Indicates VisualBasic Script source file.
     * 
     */
    @XmlEnumValue("vbscript")
    VBSCRIPT("vbscript"),

    /**
     * Indicates warning message.
     * 
     */
    @XmlEnumValue("warning")
    WARNING("warning"),

    /**
     * Indicates Windows (Win32) resources (i.e. resources extracted from an RC script, a message file, or a compiled file).
     * 
     */
    @XmlEnumValue("winres")
    WINRES("winres"),

    /**
     * Indicates Extensible HyperText Markup Language (XHTML) data - document instance.
     * 
     */
    @XmlEnumValue("xhtml")
    XHTML("xhtml"),

    /**
     * Indicates Extensible Markup Language (XML) data - document instance.
     * 
     */
    @XmlEnumValue("xml")
    XML("xml"),

    /**
     * Indicates Extensible Markup Language (XML) data - Document Type Definition (DTD).
     * 
     */
    @XmlEnumValue("xmldtd")
    XMLDTD("xmldtd"),

    /**
     * Indicates Extensible Stylesheet Language (XSL) data.
     * 
     */
    @XmlEnumValue("xsl")
    XSL("xsl"),

    /**
     * Indicates XUL elements.
     * 
     */
    @XmlEnumValue("xul")
    XUL("xul");
    private final String value;

    DatatypeValueList(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static DatatypeValueList fromValue(String v) {
        for (DatatypeValueList c: DatatypeValueList.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
